Stroop task - one control group, one experimental group
========================

This task was created using PsychoPy version 2023.2.2. It must be run online with Pavlovia.org. 

The task will show only congruent trials to the control group (group A) and a mix of congruent and incongruent trials to the experimental group (group B).


Stimuli
--------

The selected stimulus set consists of.

* 6 word-colour pairs per groups
* In the control group, all 6 words for colours are paired to right colour.
* In the experimental group, 3 words are paired to the right colour, and 3 aren't.

Groups are allocated randomly and automatically using the Pavlovia shelf, which is retrieved in the pickgroups routine.
Groups are saved in the data file at the same time.

Stroop Task
--------

In this task participants will read coloured words, and will need to respond with the colour seen rather than read (so if the word is red and it is coloured green, participants must press the key for green, not red).

After each trial, participants are given feedback on their accuracy and response speed.

At the end of the experiment, participants are given feedback on their proportion of correct answers and average reaction time.

Game task (targets)
======================

In this task, a number of targets are displayed with increasing frequency (to increase difficulty), participants have to aim to click all targets. Targets increase then decrease in size before disappearing, communicating urgency to participants.

Once a target is clicked or has gone through its display time, it stops showing to participants.

Notes
----------------

With thanks to [Seth Chee](https://www.linkedin.com/in/seth-chee-santos/) who programmed the aim trainer and adapted it for use in the PsychoPy Builder.